Skip to main content
`Ctrl`+`K`
scipy.spatial.transform.Rotation.

# magnitude

Rotation.magnitude(self)

  Get the magnitude(s) of the rotation(s).

  Returns:
    magnitude ndarray or float

      Angle(s) in radians, float if object contains a single rotation and ndarray if object contains multiple rotations. The magnitude will always be in the range [0, pi].

  Examples

      >>> from scipy.spatial.transform import Rotation as R
      >>> import numpy as np
      >>> r = R.from_quat(np.eye(4))
      >>> r.as_quat()
      array([[ 1., 0., 0., 0.],
             [ 0., 1., 0., 0.],
             [ 0., 0., 1., 0.],
             [ 0., 0., 0., 1.]])
      >>> r.magnitude()
      array([3.14159265, 3.14159265, 3.14159265, 0.        ])

  Magnitude of a single rotation:

      >>> r[0].magnitude()
      3.141592653589793